Bug 1375057 - [RHEL-7]Include vdsm and related dependency packages at RHGS 3.2.0 ISO
Summary: [RHEL-7]Include vdsm and related dependency packages at RHGS 3.2.0 ISO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: redhat-storage-server
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Sreenath G
QA Contact: Byreddy
URL:
Whiteboard:
Depends On:
Blocks: 1351528
TreeView+ depends on / blocked
 
Reported: 2016-09-12 05:07 UTC by Ramesh N
Modified: 2017-03-23 05:47 UTC (History)
7 users (show)

Fixed In Version: RHGSS-3.2-RHEL-7-20161207.n.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1375059 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:47:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Bugzilla 1373951 None CLOSED [RHEL7]Optional package glusterfs-rdma is present by default in 3.1.3 rhgs iso 2019-06-12 06:00:35 UTC

Internal Links: 1373951

Description Ramesh N 2016-09-12 05:07:55 UTC
VDSM packages are present in RHGS ISO to support managing RHGS nodes using Red Hat Gluster Storage Console. Considering rhgs-3.2 will be managed by new Storage Console (aka: USM), vdsm packages can be removed from RHGS ISO.

Comment 4 Milind Changire 2016-11-11 09:31:06 UTC
Build is available at: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=12078568
Moving to ON_QA

Comment 5 Milind Changire 2016-11-11 09:32:21 UTC
Correction:
RHEL-7 build is available at
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=12078773

Comment 7 Byreddy 2016-11-16 08:38:02 UTC
i am seeing VDSM packages present in the RHEL7 RHGS 3.2 ISO

~]# rpm -qa |grep vdsm
vdsm-yajsonrpc-4.17.33-1.el7rhgs.noarch
vdsm-jsonrpc-4.17.33-1.el7rhgs.noarch
vdsm-infra-4.17.33-1.el7rhgs.noarch
vdsm-xmlrpc-4.17.33-1.el7rhgs.noarch
vdsm-python-4.17.33-1.el7rhgs.noarch
vdsm-4.17.33-1.el7rhgs.noarch
vdsm-gluster-4.17.33-1.el7rhgs.noarch
vdsm-cli-4.17.33-1.el7rhgs.noarch


Moving to assigned state to remove these packages.


Note: While installing (layered) rhgs, it's (redhat-storage-server) not pulling vdsm packages.

Comment 9 Atin Mukherjee 2016-11-16 13:13:58 UTC
(In reply to Byreddy from comment #7)
> i am seeing VDSM packages present in the RHEL7 RHGS 3.2 ISO
> 
> ~]# rpm -qa |grep vdsm
> vdsm-yajsonrpc-4.17.33-1.el7rhgs.noarch
> vdsm-jsonrpc-4.17.33-1.el7rhgs.noarch
> vdsm-infra-4.17.33-1.el7rhgs.noarch
> vdsm-xmlrpc-4.17.33-1.el7rhgs.noarch
> vdsm-python-4.17.33-1.el7rhgs.noarch
> vdsm-4.17.33-1.el7rhgs.noarch
> vdsm-gluster-4.17.33-1.el7rhgs.noarch
> vdsm-cli-4.17.33-1.el7rhgs.noarch
> 
> 
> Moving to assigned state to remove these packages.
> 
> 
> Note: While installing (layered) rhgs, it's (redhat-storage-server) not
> pulling vdsm packages.

Which means I suspect there is something wrong in the way ISO is being spun. I am assigning this to Sreenath.

Comment 10 Sahina Bose 2016-11-28 09:40:08 UTC
Based on decision to support management of rhgs 3.2 nodes via RHGS-C, changing this bug to include vdsm and related dependencies in ISO

Comment 13 Byreddy 2016-12-14 10:31:08 UTC
I am seeing below vdsm packages in the latest available rhgs3.2 rhel7 iso.

~]# rpm -qa |grep vdsm
vdsm-yajsonrpc-4.17.33-1.el7rhgs.noarch
vdsm-infra-4.17.33-1.el7rhgs.noarch
vdsm-python-4.17.33-1.el7rhgs.noarch
vdsm-jsonrpc-4.17.33-1.el7rhgs.noarch
vdsm-gluster-4.17.33-1.el7rhgs.noarch
vdsm-xmlrpc-4.17.33-1.el7rhgs.noarch
vdsm-4.17.33-1.el7rhgs.noarch
vdsm-cli-4.17.33-1.el7rhgs.noarch
[root@ ~]# 


Moving to verified state based on above info.

Comment 15 errata-xmlrpc 2017-03-23 05:47:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.